TLM-2.0: tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES > Class Template Reference

# tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES > Class Template Reference

`#include <passthrough_target_socket.h>`

Inheritance diagram for tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >:

[legend]
Collaboration diagram for tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >:

[legend]

List of all members.

## Classes
class | process
## Public Types
typedef TYPES::tlm_payload_type | transaction_type
typedef TYPES::tlm_phase_type | phase_type
typedef tlm::tlm_sync_enum | sync_enum_type
typedef tlm::tlm_fw_transport_if < TYPES > | fw_interface_type
typedef tlm::tlm_bw_transport_if < TYPES > | bw_interface_type
typedef tlm::tlm_target_socket < BUSWIDTH, TYPES > | base_type
## Public Member Functions
| passthrough_target_socket_tagged ()
| passthrough_target_socket_tagged (const char *n)
void | register_nb_transport_fw (MODULE *mod, sync_enum_type(MODULE::*cb)(int id, transaction_type &, phase_type &, sc_core::sc_time &), int id)
void | register_b_transport (MODULE *mod, void(MODULE::*cb)(int id, transaction_type &, sc_core::sc_time &), int id)
void | register_transport_dbg (MODULE *mod, unsigned int(MODULE::*cb)(int id, transaction_type &), int id)
void | register_get_direct_mem_ptr (MODULE *mod, bool(MODULE::*cb)(int id, transaction_type &, tlm::tlm_dmi &), int id)

## Detailed Description

### template<typename MODULE, unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>
class tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >

Definition at line 238 of file passthrough_target_socket.h.

## Member Typedef Documentation

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_target_socket<BUSWIDTH, TYPES> tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::base_type

Reimplemented from tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

Definition at line 247 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_bw_transport_if<TYPES> tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::bw_interface_type

Reimplemented from tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

Definition at line 246 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_fw_transport_if<TYPES> tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::fw_interface_type

Reimplemented from tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

Definition at line 245 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef TYPES::tlm_phase_type tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::phase_type

Definition at line 243 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef tlm::tlm_sync_enum tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::sync_enum_type

Definition at line 244 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

typedef TYPES::tlm_payload_type tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::transaction_type

Definition at line 242 of file passthrough_target_socket.h.

## Constructor & Destructor Documentation

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::passthrough_target_socket_tagged | ( |  | ) | `[inline]`

Definition at line 250 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::passthrough_target_socket_tagged | ( | const char * | n | ) | `[inline, explicit]`

Definition at line 257 of file passthrough_target_socket.h.

## Member Function Documentation

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::register_b_transport | ( | MODULE * | mod,
|  | void(MODULE::*)(int id, transaction_type &, sc_core::sc_time &) | cb,
|  | int | id |
| ) |  |  | `[inline]`

Definition at line 276 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::register_get_direct_mem_ptr | ( | MODULE * | mod,
|  | bool(MODULE::*)(int id, transaction_type &, tlm::tlm_dmi &) | cb,
|  | int | id |
| ) |  |  | `[inline]`

Definition at line 295 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::register_nb_transport_fw | ( | MODULE * | mod,
|  | sync_enum_type(MODULE::*)(int id, transaction_type &, phase_type &, sc_core::sc_time &) | cb,
|  | int | id |
| ) |  |  | `[inline]`

Definition at line 265 of file passthrough_target_socket.h.

template<typename MODULE , unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types>

void tlm_utils::passthrough_target_socket_tagged< MODULE, BUSWIDTH, TYPES >::register_transport_dbg | ( | MODULE * | mod,
|  | unsigned int(MODULE::*)(int id, transaction_type &) | cb,
|  | int | id |
| ) |  |  | `[inline]`

Definition at line 286 of file passthrough_target_socket.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/passthrough_target_socket.h